<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Market/Scripts/3_game/dayzexpansion_market/settings/traderzones/takistan/expansionmarketmarastarzone.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/dbd/a01844_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionmarketmarastarzone.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/dbd/a01844.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionMarketMarastarZone.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../da/d81/a05850.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/d81/a05850.html">ExpansionMarketMarastarZone</a>: <a class="code hl_class" href="../../de/dc0/a05446.html">ExpansionMarketTraderZone</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="comment">// Expansion Defaults</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../da/d81/a05850.html#a6dee2fc51345f47e56c3f526b38e431f">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d81/a05850.html#a6dee2fc51345f47e56c3f526b38e431f">Defaults</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        super.Defaults();</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../de/dc0/a05446.html#aa4e4230b52e301e77e5abe735f349311">m_DisplayName</a> = <span class="stringliteral">&quot;Marastar Oasis Trading Zone&quot;</span>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_variable" href="../../de/dc0/a05446.html#ab380e08e31c3b7eb3541b2714d33bf7d">m_FileName</a> = <span class="stringliteral">&quot;Marastar&quot;</span>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../de/dc0/a05446.html#a302f1788fadb84cfb1b03dc0df7858d8">Position</a> = <span class="stringliteral">&quot;4611.26 4.6 12334.0&quot;</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_variable" href="../../de/dc0/a05446.html#ad7dd1666b84e912cb8a5f6bc46a78461">Radius</a> = 500;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span> </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_enumvalue" href="../../da/d96/a00782.html#abb0aa28c7279cdbc6a4e1fd88d3f2f36a1e30656933b3b9686b3c9009e0d97e68">Update</a>();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>};</div>
<div class="ttc" id="aa00782_html_abb0aa28c7279cdbc6a4e1fd88d3f2f36a1e30656933b3b9686b3c9009e0d97e68"><div class="ttname"><a href="../../da/d96/a00782.html#abb0aa28c7279cdbc6a4e1fd88d3f2f36a1e30656933b3b9686b3c9009e0d97e68">Update</a></div><div class="ttdeci">@ Update</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d96/a00782_source.html#l00280">expansionrpc.c:280</a></div></div>
<div class="ttc" id="aa05446_html"><div class="ttname"><a href="../../de/dc0/a05446.html">ExpansionMarketTraderZone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d83/a01544_source.html#l00023">expansionmarkettraderzone.c:24</a></div></div>
<div class="ttc" id="aa05446_html_a302f1788fadb84cfb1b03dc0df7858d8"><div class="ttname"><a href="../../de/dc0/a05446.html#a302f1788fadb84cfb1b03dc0df7858d8">ExpansionMarketTraderZone::Position</a></div><div class="ttdeci">vector Position</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d83/a01544_source.html#l00032">expansionmarkettraderzone.c:32</a></div></div>
<div class="ttc" id="aa05446_html_aa4e4230b52e301e77e5abe735f349311"><div class="ttname"><a href="../../de/dc0/a05446.html#aa4e4230b52e301e77e5abe735f349311">ExpansionMarketTraderZone::m_DisplayName</a></div><div class="ttdeci">string m_DisplayName</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d83/a01544_source.html#l00030">expansionmarkettraderzone.c:30</a></div></div>
<div class="ttc" id="aa05446_html_ab380e08e31c3b7eb3541b2714d33bf7d"><div class="ttname"><a href="../../de/dc0/a05446.html#ab380e08e31c3b7eb3541b2714d33bf7d">ExpansionMarketTraderZone::m_FileName</a></div><div class="ttdeci">string m_FileName</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d83/a01544_source.html#l00028">expansionmarkettraderzone.c:28</a></div></div>
<div class="ttc" id="aa05446_html_ad7dd1666b84e912cb8a5f6bc46a78461"><div class="ttname"><a href="../../de/dc0/a05446.html#ad7dd1666b84e912cb8a5f6bc46a78461">ExpansionMarketTraderZone::Radius</a></div><div class="ttdeci">float Radius</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d83/a01544_source.html#l00033">expansionmarkettraderzone.c:33</a></div></div>
<div class="ttc" id="aa05850_html"><div class="ttname"><a href="../../da/d81/a05850.html">ExpansionMarketMarastarZone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dbd/a01844_source.html#l00013">expansionmarketmarastarzone.c:14</a></div></div>
<div class="ttc" id="aa05850_html_a6dee2fc51345f47e56c3f526b38e431f"><div class="ttname"><a href="../../da/d81/a05850.html#a6dee2fc51345f47e56c3f526b38e431f">ExpansionMarketMarastarZone::Defaults</a></div><div class="ttdeci">override void Defaults()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dbd/a01844_source.html#l00018">expansionmarketmarastarzone.c:18</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_092c367fafeded0f85ad4cffb3510835.html">Market</a></li><li class="navelem"><a class="el" href="../../dir_1f05db06ccb72c72cd31e0fe28945d0f.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_7335e336e51f90f925d20f4f992677da.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_6375017fbea432d664828197795a9940.html">dayzexpansion_market</a></li><li class="navelem"><a class="el" href="../../dir_2059f571b7ebb4f5751b3cbcb632e5b6.html">settings</a></li><li class="navelem"><a class="el" href="../../dir_be3c08f0803717a7fc9f35c2ce969c95.html">traderzones</a></li><li class="navelem"><a class="el" href="../../dir_4ce111739c40b3a01992abe29d44d372.html">takistan</a></li><li class="navelem"><a class="el" href="../../d2/dbd/a01844.html">expansionmarketmarastarzone.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
